package ${groupId}.web;

import javax.servlet.http.HttpServletRequest;

import ${groupId}.domain.Member;
import ${groupId}.service.MemberManager;
import org.springframework.web.bind.MissingServletRequestParameterException;
import org.springframework.web.bind.ServletRequestUtils;
import org.springframework.web.servlet.mvc.SimpleFormController;

public class EditMemberController extends SimpleFormController {

    private MemberManager manager;


    public void setManager(MemberManager manager) {
        this.manager = manager;
    }

    protected Object formBackingObject(HttpServletRequest request) throws Exception {
    	try {
            int id = ServletRequestUtils.getRequiredIntParameter(request, "id");
            Member member = manager.findById(new Integer(id));
            return member;
    	}
    	catch (MissingServletRequestParameterException e) {
    		// idꍇɂ͐VRecipe𐶐Aidt
    		Member member = new Member();
    		manager.saveOrUpdate(member);
    		return member;
    	}
    }

    protected void doSubmitAction(Object object) throws Exception {
    	Member member = (Member) object;
    	manager.saveOrUpdate(member);
    }

}
