package ${groupId}.service.stub;

import java.util.List;
import jp.co.pwv.utils.DbHelper;
import org.hibernate.Hibernate;
import org.springframework.orm.hibernate3.support.HibernateDaoSupport;
import ${groupId}.domain.Member;
import ${groupId}.service.IMember;

public class MemberDao extends HibernateDaoSupport implements IMember {
	private DbHelper helper = new DbHelper(Member.class);
	public void saveOrUpdate(Member member) {
		getHibernateTemplate().saveOrUpdate(member);
	}
	public void delete(Member member) {
		getHibernateTemplate().delete(member);
	}
	public Member findById(Integer id) {
		return (Member)getHibernateTemplate().get(Member.class, id);
	}
	public Member[] findAll() {
		List list = getHibernateTemplate().loadAll(Member.class);
		return (Member[])list.toArray(new Member[list.size()]);
	}
	public String print(Member member) {
		return (helper.toString(member));
	}
	public DbHelper getHelper() {
		return helper;
	}
}
